Subject: Re: linux-next: Tree for Sep 21

From: Greg Kroah-Hartman <[email-masked]>
Date: Sat, 24 Sep 2016 09:28:00 +0200

On Sat, Sep 24, 2016 at 10:42:45AM +1000, Stephen Rothwell wrote:
> Hi Linus,
> 
> On Fri, 23 Sep 2016 11:24:04 -0700 Linus Torvalds <[email-masked]> wrote:
> >
> > On Tue, Sep 20, 2016 at 11:08 PM, Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Changes since 20160920:
> > > [...]
> > > Non-merge commits (relative to Linus' tree): 11180
> > >  8424 files changed, 456474 insertions(+), 237951 deletions(-)  
> > 
> > What happened here? The previous linux-next tree was much smaller. The
> > "changes since" part doesn't actually talk about the almost 3000 new
> > non-merge commits that very suddenly showed up.
> 
> That was Greg's (cc'd) greybus stuff entering the staging tree:
> 
> $ git rev-list --count --no-merges origin/master..2bbadafbe4ea
> 2363

This is a staging driver (new hardware bus and drivers), self-contained,
and the development history of the code was preserved by importing it
this way.

The overall size of the kernel only grew by 35k of lines or so, not
much, but yes, the history did jump all at once.  Much like when we
imported btrfs the same way.

thanks,

greg k-h